> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show data about a specific metric



## OpenAPI

````yaml /api-reference/4.2/service-system.json get /system/metric/{name}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service system
servers:
  - url: /api/apollo/
security: []
tags:
  - name: system
paths:
  /system/metric/{name}:
    get:
      tags:
        - 4.2 System API
      summary: Show data about a specific metric
      operationId: getSingleMetric
      parameters:
        - name: name
          in: path
          description: The name of the metric to display
          required: true
          schema:
            type: string
        - name: pretty
          in: query
          description: True to format the data for easier reading
          required: false
          schema:
            type: boolean
        - name: rateUnit
          in: query
          description: The time unit ('seconds', 'minutes', and so on) to display rates
          required: false
          schema:
            type: string
        - name: durationUnit
          in: query
          description: The time unit ('seconds', 'minutes', and so on) to display durations
          required: false
          schema:
            type: string
        - name: showSamples
          in: query
          description: True to display the data values used in calculations
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetricResponse'
components:
  schemas:
    MetricResponse:
      type: object
      properties:
        metricRegistry:
          $ref: '#/components/schemas/MetricRegistry'
        metricsList:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Metric'
        pretty:
          type: boolean
          default: false
        rateUnit:
          type: string
          enum:
            - NANOSECONDS
            - MICROSECONDS
            - MILLISECONDS
            - SECONDS
            - MINUTES
            - HOURS
            - DAYS
        durationUnit:
          type: string
          enum:
            - NANOSECONDS
            - MICROSECONDS
            - MILLISECONDS
            - SECONDS
            - MINUTES
            - HOURS
            - DAYS
        showSamples:
          type: boolean
          default: false
    MetricRegistry:
      type: object
      properties:
        metrics:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Metric'
        meters:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Meter'
        names:
          type: array
          uniqueItems: true
          items:
            type: string
        counters:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Counter'
        timers:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Timer'
        histograms:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Histogram'
        gauges:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Gauge'
    Metric:
      type: object
    Meter:
      type: object
      properties:
        count:
          type: integer
          format: int64
        oneMinuteRate:
          type: number
          format: double
        fiveMinuteRate:
          type: number
          format: double
        fifteenMinuteRate:
          type: number
          format: double
        meanRate:
          type: number
          format: double
    Counter:
      type: object
      properties:
        count:
          type: integer
          format: int64
    Timer:
      type: object
      properties:
        count:
          type: integer
          format: int64
        oneMinuteRate:
          type: number
          format: double
        fiveMinuteRate:
          type: number
          format: double
        fifteenMinuteRate:
          type: number
          format: double
        meanRate:
          type: number
          format: double
        snapshot:
          $ref: '#/components/schemas/Snapshot'
    Histogram:
      type: object
      properties:
        count:
          type: integer
          format: int64
        snapshot:
          $ref: '#/components/schemas/Snapshot'
    Gauge:
      type: object
      properties:
        value:
          type: object
    Snapshot:
      type: object
      properties:
        max:
          type: integer
          format: int64
        mean:
          type: number
          format: double
        stdDev:
          type: number
          format: double
        median:
          type: number
          format: double
        get75thPercentile:
          type: number
          format: double
        get95thPercentile:
          type: number
          format: double
        get98thPercentile:
          type: number
          format: double
        get99thPercentile:
          type: number
          format: double
        get999thPercentile:
          type: number
          format: double
        values:
          type: array
          items:
            type: integer
            format: int64
        min:
          type: integer
          format: int64

````